libcod-cif-parser-bison-perl_2.3+dfsg-3_amd64.deb


Advertisement

Description

libcod-cif-parser-bison-perl - error-correcting CIF parser - Perl bindings

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libcod-cif-parser-bison-perl_2.3+dfsg-3_amd64.deb
Package name libcod-cif-parser-bison-perl
Package version 2.3+dfsg
Package release 3
Package architecture amd64
Package type deb
Category devel::lang:perl devel::library implemented-in::c implemented-in::perl perl role::devel-lib
Homepage http://wiki.crystallography.net/cod-tools
License -
Maintainer Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Download size 70.11 KB
Installed size 193.00 KB
COD::CIF::Parser::Bison, Perl bindings for Crystallographic
Information Format (CIF) v1.1 and v2.0 parser, which is written in C
language, and developed by the Crystallography Open Database. A CIF
format file is represented by an array of data blocks, where each
data block is represented by a hash.

Alternatives

Package Version Architecture Repository
libcod-cif-parser-bison-perl_2.3+dfsg-3_i386.deb 2.3+dfsg i386 Debian Main
libcod-cif-parser-bison-perl - - -

Requires

Name Value
libc6 >= 2.14
libcod-precision-perl -
libcod-usermessage-perl -
perl >= 5.28.1-3
perlapi-5.28.1 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libcod-cif-parser-bison-perl_2.3+dfsg-3_amd64.deb
Source Package cod-tools

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcod-cif-parser-bison-perl deb package:
    # sudo apt-get install libcod-cif-parser-bison-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.28/COD/CIF/Parser/Bison.pm
/usr/lib/x86_64-linux-gnu/perl5/5.28/auto/COD/CIF/Parser/Bison/Bison.so
/usr/share/doc/libcod-cif-parser-bison-perl/changelog.Debian.gz
/usr/share/doc/libcod-cif-parser-bison-perl/changelog.gz
/usr/share/doc/libcod-cif-parser-bison-perl/copyright

Changelog

2019-02-01 - Andrius Merkys <andrius.merkys@gmail.com>
cod-tools (2.3+dfsg-3) unstable; urgency=medium
* Passing CFLAGS to Swig object compilation.
* Adding ${CPPFLAGS} to all C compiler calls to make function hardening
possible.
2019-01-31 - Andrius Merkys <andrius.merkys@gmail.com>
cod-tools (2.3+dfsg-2) unstable; urgency=medium
* libtext-diff-perl is required for running tests.
* Decreasing verbosity of rsync in tests.
* Making an empty line space between test outputs and the summary of failed
tests in debian/tests/upstream.
* Skipping locale-dependent tests.
* Extending hardening.diff patch to pass the buildflags to C compiler.
* Making long descriptions of libcodcif2 and libcodcif-dev different.
* Making long descriptions of python-pycodcif and python3-pycodcif different.
* Minimising upstream's signing keys.
* Fixing captions in debian/tests/upstream.
2019-01-29 - Andrius Merkys <andrius.merkys@gmail.com>
cod-tools (2.3+dfsg-1) unstable; urgency=medium
* New upstream version 2.3+dfsg
* Updating patches codcif-svnversion.diff and distclean-tmp.diff.
* Dropping upstream-integrated patch r6304-6305.diff.
* No longer skipping autopkgtest for cif_tcod_tree and Python bindings.
* Revisiting tests incompatible with spglib.
* Marking appropriate binary packages with Multi-Arch: same.
* Bumping Standards-Version (no changes).
2018-12-17 - Andrius Merkys <andrius.merkys@gmail.com>
cod-tools (2.2+dfsg-5) unstable; urgency=medium
* Skipping one more CI test too sensitive to spglib version.
* Using pybuild to build Python packages.
2018-11-16 - Andrius Merkys <andrius.merkys@gmail.com>
cod-tools (2.2+dfsg-4) unstable; urgency=medium
* Skipping CI tests too sensitive to spglib version (Closes: #913455).
* Package cod-tools depends on libparse-yapp-perl. Currently, it gets this
dependency from libcod-cif-parser-yapp-perl, but strictly speaking
cod-tools has to have it in its depends, as some modules use it directly.
* debian/control: package build-depends on gawk, as it is used in
after-build tests.
* Bumping Standards Version to 4.2.1.
2018-07-17 - Andrius Merkys <andrius.merkys@gmail.com>
cod-tools (2.2+dfsg-3) unstable; urgency=medium
* Renaming target 'override_dh_install' to 'override_dh_install-arch'
(Closes: #903867).
* debian/control: adding a pair of missing build-depends.
* debian/control: autoconf is no longer required, as libsymspg is not
compiled during build.
* Adding a patch fixing Python3 compilation errors/warnings of pycodcif.
* Adding patch descriptions.
2018-07-13 - Andrius Merkys <andrius.merkys@gmail.com>
cod-tools (2.2+dfsg-2) unstable; urgency=medium
* debian/control: adding missing dependencies (Closes: #903666).
* debian/control: putting test dependencies into build dependencies, as
tests are run during the build process (Closes: #903689).
* debian/control: placing dependencies one per line.
* debian/tests/upstream: bypassing locale-dependent tests.
* debian/tests/upstream: fixing incorrect test path.
* Moving templates of *.install and *.links files to debian/template/;
preparing the build system to clean after the build.

See Also

Package Description
libcod-cif-parser-yapp-perl_2.3+dfsg-3_all.deb error-correcting CIF parser - pure Perl implementation
libcod-precision-perl_2.3+dfsg-3_all.deb COD precision handling module for Perl language
libcod-usermessage-perl_2.3+dfsg-3_all.deb COD message formatting module for Perl language
libcoda-dev_2.20-3_amd64.deb Development files for the CODA framework for Earth sciences
libcoda-java_2.20-3_all.deb Java interface for Common Data Access Framework
libcoda-jni_2.20-3_amd64.deb Java Native interface for Common Data Access Framework
libcoda15_2.20-3_amd64.deb Library for the Common Data Access framework for Earth science
libcodcif-dev_2.3+dfsg-3_amd64.deb error-correcting CIF parser - headers and static libraries
libcodcif2_2.3+dfsg-3_amd64.deb error-correcting CIF parser - shared library
libcode-tidyall-perl_0.67-3_all.deb your all-in-one code tidier and validator
libcode-tidyall-plugin-sortlines-naturally-perl_0.000003-1_all.deb sort lines of a file using Unicode::Collate::Locale
libcode-tidyall-plugin-uniquelines-perl_0.000003-1_all.deb module to remove duplicate lines from files
libcode-tidyall-plugin-yaml-perl_0.000001-1_all.deb module to tidy YAML documents
libcode-tidyall-plugin-yamlfrontmatter-perl_1.000001-1_all.deb module to validate YAML front matter
libcodeblocks0_16.01+dfsg-2.1_amd64.deb Code::Blocks shared library
Advertisement
Advertisement